MediaWiki:Common.css: различия между версиями

мНет описания правки
Нет описания правки
 
(не показано 7 промежуточных версий этого же участника)
Строка 1166: Строка 1166:


.ts-Сущность:has(.ts-Сущность-field:hover) {
.ts-Сущность:has(.ts-Сущность-field:hover) {
background: var(--theme-bg-color-150);
background: rgba(var(--color-lighter--rgb), 0.025);
}
}


Строка 2080: Строка 2080:
     line-height: 1.3;
     line-height: 1.3;
     border: var(--border-outset-light);
     border: var(--border-outset-light);
    box-sizing: border-box;
}
.toccolours > p {
margin: 0;
}
}


Строка 3752: Строка 3757:


#personal .dropdown,
#personal .dropdown,
.theme-dropdown .theme-window {
.theme-dropdown .theme-window,
.oo-ui-popupWidget-popup {
top: unset;
top: unset;
user-select: none;
user-select: none;
position: absolute;
position: absolute;
right: -14px;
min-width: 14.5rem;
width: 14.5rem;
background: var(--ooui-bg-color-darkened);
background: var(--ooui-bg-color-darkened);
box-shadow: var(--box-shadow-high);
box-shadow: var(--box-shadow-high);
Строка 3763: Строка 3768:
transition-property: transform, opacity, visibility;
transition-property: transform, opacity, visibility;
z-index: var(--index-high);
z-index: var(--index-high);
margin-top: 0.3rem;
border: 2px solid var(--ooui-bg-color-light);
border: 2px solid var(--ooui-bg-color-light);
border-top: 2px solid var(--ooui-border-color);
border-top: 2px solid var(--ooui-border-color);
Строка 3769: Строка 3773:
padding: 0.2em;
padding: 0.2em;
box-shadow: var(--box-shadow-high), var(--box-shadow-inset);
box-shadow: var(--box-shadow-high), var(--box-shadow-inset);
}
#personal .dropdown,
.theme-dropdown .theme-window {
right: -14px;
margin-top: 0.3rem;
}
}


Строка 3791: Строка 3801:


#personal .dropdown label, #personal .dropdown h3,
#personal .dropdown label, #personal .dropdown h3,
.theme-dropdown .theme-window__header {
.theme-dropdown .theme-window__header,
.mw-echo-ui-notificationBadgeButtonPopupWidget-popup > .oo-ui-popupWidget-popup > .oo-ui-popupWidget-head {
display: flex;
display: flex;
align-items: center;
align-items: center;
gap: 4px;
gap: 4px;
position: relative;
position: relative;
height: 2rem;
height: 2.2rem;
font-size: var(--font-size-ml);
font-size: var(--font-size-ml);
border-radius: var(--border-radius-low);
border-radius: var(--border-radius-low);
Строка 3852: Строка 3863:
#theme-preferences__content .theme-menu form {
#theme-preferences__content .theme-menu form {
position: relative;
position: relative;
display: flex;
display: grid;
flex-direction: column;
gap: 0.5em;
gap: 0.5em;
text-align: center;
text-align: center;
Строка 4084: Строка 4094:
.mw-rcfilters-ui-filterMenuHeaderWidget-header,
.mw-rcfilters-ui-filterMenuHeaderWidget-header,
#mw-scribunto-input,
#mw-scribunto-input,
.mw-echo-ui-notificationBadgeButtonPopupWidget-popup > .oo-ui-popupWidget-popup > .oo-ui-popupWidget-head,
.growthexperiments-mentor-dashboard-container .growthexperiments-mentor-dashboard-module-mentor-tools .growthexperiments-mentor-dashboard-module-mentor-tools-other-actions,
.growthexperiments-mentor-dashboard-container .growthexperiments-mentor-dashboard-module-mentor-tools .growthexperiments-mentor-dashboard-module-mentor-tools-other-actions,
.growthexperiments-mentor-dashboard-module-mentee-overview .growthexperiments-mentor-dashboard-module-mentee-overview-recent-by-mentees,
.growthexperiments-mentor-dashboard-module-mentee-overview .growthexperiments-mentor-dashboard-module-mentee-overview-recent-by-mentees,
Строка 4134: Строка 4143:
.vector-user-links .vector-user-menu-more .vector-menu-content-list li a,
.vector-user-links .vector-user-menu-more .vector-menu-content-list li a,
.mw-notification,
.mw-notification,
.oo-ui-popupWidget-popup,
.ui-widget-header,
.ui-widget-header,
.ui-widget-content,
.ui-widget-content,
Строка 4414: Строка 4422:
.wikiEditor-ui .wikiEditor-ui-view,
.wikiEditor-ui .wikiEditor-ui-view,
.oo-ui-tagMultiselectWidget.oo-ui-widget-enabled.oo-ui-tagMultiselectWidget-inlined:hover .oo-ui-tagMultiselectWidget-handle,
.oo-ui-tagMultiselectWidget.oo-ui-widget-enabled.oo-ui-tagMultiselectWidget-inlined:hover .oo-ui-tagMultiselectWidget-handle,
.mw-echo-ui-notificationBadgeButtonPopupWidget-popup > .oo-ui-popupWidget-popup > .oo-ui-popupWidget-head,
.mw-echo-ui-notificationBadgeButtonPopupWidget-popup > .oo-ui-popupWidget-popup > .oo-ui-popupWidget-footer .mw-echo-ui-notificationBadgeButtonPopupWidget-footer-buttons .oo-ui-buttonElement:last-child,
.mw-echo-ui-notificationBadgeButtonPopupWidget-popup > .oo-ui-popupWidget-popup > .oo-ui-popupWidget-footer .mw-echo-ui-notificationBadgeButtonPopupWidget-footer-buttons .oo-ui-buttonElement:last-child,
.mw-echo-ui-notificationBadgeButtonPopupWidget-popup > .oo-ui-popupWidget-popup > .oo-ui-popupWidget-footer,
.mw-echo-ui-notificationBadgeButtonPopupWidget-popup > .oo-ui-popupWidget-popup > .oo-ui-popupWidget-footer,
Строка 4446: Строка 4453:
.oo-ui-dropdownWidget.oo-ui-widget-disabled .oo-ui-dropdownWidget-handle,
.oo-ui-dropdownWidget.oo-ui-widget-disabled .oo-ui-dropdownWidget-handle,
.oo-ui-tagMultiselectWidget.oo-ui-widget-enabled .oo-ui-tagMultiselectWidget-handle,
.oo-ui-tagMultiselectWidget.oo-ui-widget-enabled .oo-ui-tagMultiselectWidget-handle,
.oo-ui-popupWidget-popup,
.oo-ui-textInputWidget .oo-ui-inputWidget-input,
.oo-ui-textInputWidget .oo-ui-inputWidget-input,
.oo-ui-windowManager-modal:not(.oo-ui-windowManager-size-full) > .oo-ui-dialog > .oo-ui-window-frame,
.oo-ui-windowManager-modal:not(.oo-ui-windowManager-size-full) > .oo-ui-dialog > .oo-ui-window-frame,
Строка 4793: Строка 4799:
.mw-body-content .recent-questions-growthexperiments-help-questions .question-posted-on, .overlay-content .recent-questions-growthexperiments-help-questions .question-posted-on, .content .recent-questions-growthexperiments-help-questions .question-posted-on, .mw-body-content .recent-questions-growthexperiments-mentor-questions .question-posted-on, .overlay-content .recent-questions-growthexperiments-mentor-questions .question-posted-on, .content .recent-questions-growthexperiments-mentor-questions .question-posted-on,
.mw-body-content .recent-questions-growthexperiments-help-questions .question-posted-on, .overlay-content .recent-questions-growthexperiments-help-questions .question-posted-on, .content .recent-questions-growthexperiments-help-questions .question-posted-on, .mw-body-content .recent-questions-growthexperiments-mentor-questions .question-posted-on, .overlay-content .recent-questions-growthexperiments-mentor-questions .question-posted-on, .content .recent-questions-growthexperiments-mentor-questions .question-posted-on,
.mwe-vue-pt-snippet,
.mwe-vue-pt-snippet,
.mw-twocolconflict-single-column.mw-twocolconflict-split-unselected, .mw-twocolconflict-split-column.mw-twocolconflict-split-unselected {
.mw-twocolconflict-single-column.mw-twocolconflict-split-unselected, .mw-twocolconflict-split-column.mw-twocolconflict-split-unselected,
.mw-special-Listfiles .TablePager_col_img_user_text, .mw-special-Listfiles .TablePager_col_img_description {
color: var(--ooui-text-color-dark);
color: var(--ooui-text-color-dark);
}
}
Строка 4868: Строка 4875:
.ace_search_field,
.ace_search_field,
#pagehistory li.selected,
#pagehistory li.selected,
.oo-ui-popupWidget-popup,
.oo-ui-menuOptionWidget.oo-ui-widget-enabled.oo-ui-optionWidget,
.oo-ui-menuOptionWidget.oo-ui-widget-enabled.oo-ui-optionWidget,
.mw-rcfilters-ui-itemMenuOptionWidget-label-title,
.mw-rcfilters-ui-itemMenuOptionWidget-label-title,
Строка 5066: Строка 5072:
}
}
   
   
.mw-changeslist-legend {
.mw-changeslist-legend,
.mw-echo-ui-notificationBadgeButtonPopupWidget-popup > .oo-ui-popupWidget-popup > .oo-ui-popupWidget-head > .oo-ui-iconWidget {
display: none;
display: none;
}
}
Строка 5519: Строка 5526:
/* COM */
/* COM */
#COM.wikitable {
#COM.wikitable {
border: 1px solid var(--bg-color-blue-subtle);
border: 1px solid var(--bg-color-blue-100);
}
}


#COM.wikitable th {
#COM.wikitable th {
background: var(--bg-color-blue-150);
background: var(--bg-color-blue-100);
}
}


Строка 5529: Строка 5536:
#COM.wikitable:not(:has(thead)) tr:first-of-type th {
#COM.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-blue-100);
background: var(--bg-color-blue-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow: var(--box-shadow-medium);
box-shadow: var(--box-shadow-medium);
}
}


Строка 5537: Строка 5544:
#COM.wikitable thead + tbody > tr th:first-child {
#COM.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#COM.wikitable tr td {
background: var(--bg-color-blue-subtle);
}
}


/* MED */
/* MED */
#MED.wikitable {
#MED.wikitable {
border: 1px solid var(--bg-color-sky-blue-subtle);
border: 1px solid var(--bg-color-sky-blue-100);
}
}


#MED.wikitable th {
#MED.wikitable th {
background: var(--bg-color-sky-blue-150);
background: var(--bg-color-sky-blue-100);
}
}
Строка 5555: Строка 5558:
#MED.wikitable:not(:has(thead)) tr:first-of-type th {
#MED.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-sky-blue-100);
background: var(--bg-color-sky-blue-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow: var(--box-shadow-medium);
box-shadow: var(--box-shadow-medium);
}
}


Строка 5563: Строка 5566:
#MED.wikitable thead + tbody > tr th:first-child {
#MED.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#MED.wikitable tr td {
background: var(--bg-color-sky-blue-subtle);
}
}


/* SRV */
/* SRV */
#SRV.wikitable {
#SRV.wikitable {
border: 1px solid var(--bg-color-green-subtle);
border: 1px solid var(--bg-color-green-100);
}
}


#SRV.wikitable th {
#SRV.wikitable th {
background: var(--bg-color-green-150);
background: var(--bg-color-green-100);
}
}


Строка 5581: Строка 5580:
#SRV.wikitable:not(:has(thead)) tr:first-of-type th {
#SRV.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-green-100);
background: var(--bg-color-green-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow: var(--box-shadow-medium);
box-shadow: var(--box-shadow-medium);
}
}


Строка 5589: Строка 5588:
#SRV.wikitable thead + tbody > tr th:first-child {
#SRV.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#SRV.wikitable tr td {
background: var(--bg-color-green-subtle);
}
}


/* ENG */
/* ENG */
#ENG.wikitable {
#ENG.wikitable {
border: 1px solid var(--bg-color-yellow-subtle);
border: 1px solid var(--bg-color-yellow-100);
}
}


#ENG.wikitable th {
#ENG.wikitable th {
background: var(--bg-color-yellow-150);
background: var(--bg-color-yellow-100);
}
}


Строка 5607: Строка 5602:
#ENG.wikitable:not(:has(thead)) tr:first-of-type th {
#ENG.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-yellow-100);
background: var(--bg-color-yellow-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow: var(--box-shadow-medium);
box-shadow: var(--box-shadow-medium);
}
}


Строка 5615: Строка 5610:
#ENG.wikitable thead + tbody > tr th:first-child {
#ENG.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#ENG.wikitable tr td {
background: var(--bg-color-yellow-subtle);
}
}


/* RND */
/* RND */
#RND.wikitable {
#RND.wikitable {
border: 1px solid var(--bg-color-purple-subtle);
border: 1px solid var(--bg-color-purple-100);
}
}


#RND.wikitable th {
#RND.wikitable th {
background: var(--bg-color-purple-150);
background: var(--bg-color-purple-100);
}
}


Строка 5633: Строка 5624:
#RND.wikitable:not(:has(thead)) tr:first-of-type th {
#RND.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-purple-100);
background: var(--bg-color-purple-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow: var(--box-shadow-medium);
box-shadow: var(--box-shadow-medium);
}
}


Строка 5641: Строка 5632:
#RND.wikitable thead + tbody > tr th:first-child {
#RND.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#RND.wikitable tr td {
background: var(--bg-color-purple-subtle);
}
}


/* SUP */
/* SUP */
#SUP.wikitable {
#SUP.wikitable {
border: 1px solid var(--bg-color-brown-subtle);
border: 1px solid var(--bg-color-brown-100);
}
}


#SUP.wikitable th {
#SUP.wikitable th {
background: var(--bg-color-brown-150);
background: var(--bg-color-brown-100);
}
}


Строка 5659: Строка 5646:
#SUP.wikitable:not(:has(thead)) tr:first-of-type th {
#SUP.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-brown-100);
background: var(--bg-color-brown-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow: var(--box-shadow-medium);
box-shadow: var(--box-shadow-medium);
}
}


Строка 5667: Строка 5654:
#SUP.wikitable thead + tbody > tr th:first-child {
#SUP.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#SUP.wikitable tr td {
background: var(--bg-color-brown-subtle);
}
}


/* SEC */
/* SEC */
#SEC.wikitable {
#SEC.wikitable {
border: 1px solid var(--bg-color-red-subtle);
border: 1px solid var(--bg-color-red-100);
}
}


#SEC.wikitable th {
#SEC.wikitable th {
background: var(--bg-color-red-150);
background: var(--bg-color-red-100);
}
}


Строка 5685: Строка 5668:
#SEC.wikitable:not(:has(thead)) tr:first-of-type th {
#SEC.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-red-100);
background: var(--bg-color-red-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow: var(--box-shadow-medium);
box-shadow: var(--box-shadow-medium);
}
}


Строка 5693: Строка 5676:
#SEC.wikitable thead + tbody > tr th:first-child {
#SEC.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#SEC.wikitable tr td {
background: var(--bg-color-red-subtle);
}
}


/* BOTANY */
/* BOTANY */
#BOTANY.wikitable {
#BOTANY.wikitable {
border: 1px solid var(--bg-color-emerald-subtle);
border: 1px solid var(--bg-color-emerald-100);
}
}


#BOTANY.wikitable th {
#BOTANY.wikitable th {
background: var(--bg-color-emerald-150);
background: var(--bg-color-emerald-100);
}
}


Строка 5711: Строка 5690:
#BOTANY.wikitable:not(:has(thead)) tr:first-of-type th {
#BOTANY.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-emerald-100);
background: var(--bg-color-emerald-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow: var(--box-shadow-medium);
box-shadow: var(--box-shadow-medium);
}
}


Строка 5719: Строка 5698:
#BOTANY.wikitable thead + tbody > tr th:first-child {
#BOTANY.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#BOTANY.wikitable tr td {
background: var(--bg-color-emerald-subtle);
}
}


/* MUTATION */
/* MUTATION */
#MUTATION.wikitable {
#MUTATION.wikitable {
border: 1px solid var(--bg-color-violet-subtle);
border: 1px solid var(--bg-color-violet-100);
}
}


#MUTATION.wikitable th {
#MUTATION.wikitable th {
background: var(--bg-color-violet-150);
background: var(--bg-color-violet-100);
}
}


Строка 5737: Строка 5712:
#MUTATION.wikitable:not(:has(thead)) tr:first-of-type th {
#MUTATION.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-violet-100);
background: var(--bg-color-violet-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow: var(--box-shadow-medium);
box-shadow: var(--box-shadow-medium);
}
}


Строка 5745: Строка 5720:
#MUTATION.wikitable thead + tbody > tr th:first-child {
#MUTATION.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#MUTATION.wikitable tr td {
background: var(--bg-color-violet-subtle);
}
}


Строка 5758: Строка 5729:
background: var(--theme-bg-color-300);
background: var(--theme-bg-color-300);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow: var(--box-shadow-medium);
box-shadow: var(--box-shadow-medium);
}
}


Строка 5775: Строка 5746:
background: var(--theme-bg-color-300);
background: var(--theme-bg-color-300);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow: var(--box-shadow-medium);
box-shadow: var(--box-shadow-medium);
}
}


Строка 5786: Строка 5757:
/* Холодный цвет ячеек */
/* Холодный цвет ячеек */
#highlighted-header-cold.wikitable {
#highlighted-header-cold.wikitable {
border: 1px solid var(--bg-color-azure-subtle);
border: 1px solid var(--bg-color-azure-100);
}
}


#highlighted-header-cold.wikitable th {
#highlighted-header-cold.wikitable th {
background: var(--bg-color-azure-150);
background: var(--bg-color-azure-100);
}
}


Строка 5796: Строка 5767:
#highlighted-header-cold.wikitable:not(:has(thead)) tr:first-of-type th {
#highlighted-header-cold.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-azure-100);
background: var(--bg-color-azure-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow: var(--box-shadow-medium);
box-shadow: var(--box-shadow-medium);
}
}


Строка 5804: Строка 5775:
#highlighted-header-cold.wikitable thead + tbody > tr th:first-child {
#highlighted-header-cold.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#highlighted-header-cold.wikitable tr td {
background: var(--bg-color-azure-subtle);
}
}


Строка 5816: Строка 5783:
background: var(--theme-bg-color-300);
background: var(--theme-bg-color-300);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow: var(--box-shadow-medium);
box-shadow: var(--box-shadow-medium);
}
}


Строка 5825: Строка 5792:
}
}


/* Палитра для Морпехов TODO: палитра в переменных */
/* Палитра для Морпехов */
#highlighted-header-CM.wikitable thead tr th,
#highlighted-header-CM.wikitable thead tr th,
#highlighted-header-CM.wikitable:not(:has(thead)) tr:first-of-type th {
#highlighted-header-CM.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: #313d45;
background: var(--theme-bg-color-300);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow:  var(--box-shadow-medium);
box-shadow:  var(--box-shadow-medium);
Строка 5836: Строка 5803:
#highlighted-header-CM.wikitable:not(:has(thead)) tbody > tr:nth-of-type(n+2) th,
#highlighted-header-CM.wikitable:not(:has(thead)) tbody > tr:nth-of-type(n+2) th,
#highlighted-header-CM.wikitable thead + tbody > tr th {
#highlighted-header-CM.wikitable thead + tbody > tr th {
background: #355f54;
background: var(--bg-color-pastel-turquoise-50);
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
}